> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiinbx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search threads with filters

> Search threads with various filtering options optimized for AI agents



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/ai-inbx/openapi.documented.yml post /threads/search
openapi: 3.1.0
info:
  title: AI Inbx API
  description: Email infrastructure API for AI agents and applications
  version: 1.0.0
servers:
  - url: https://api.aiinbx.com/api/v1
security: []
tags:
  - name: Emails
  - name: Threads
paths:
  /threads/search:
    post:
      tags:
        - Threads
      summary: Search threads with filters
      description: Search threads with various filtering options optimized for AI agents
      operationId: searchThreads
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                limit:
                  type: number
                  minimum: 1
                  maximum: 100
                  default: 20
                offset:
                  type: number
                  minimum: 0
                  default: 0
                createdAfter:
                  type: string
                createdBefore:
                  type: string
                lastEmailAfter:
                  type: string
                lastEmailBefore:
                  type: string
                hasParticipantEmails:
                  type: array
                  items:
                    type: string
                    format: email
                hasEmailFromAddress:
                  type: string
                  format: email
                hasEmailToAddress:
                  type: string
                  format: email
                subjectContains:
                  type: string
                someEmailHasStatus:
                  type: string
                  enum:
                    - DRAFT
                    - QUEUED
                    - ACCEPTED
                    - SENT
                    - RECEIVED
                    - FAILED
                    - BOUNCED
                    - COMPLAINED
                    - REJECTED
                    - READ
                    - ARCHIVED
                someEmailHasDirection:
                  type: string
                  enum:
                    - INBOUND
                    - OUTBOUND
                conversationState:
                  type: string
                  enum:
                    - awaiting_reply
                    - needs_reply
                    - active
                    - stale
                staleThresholdDays:
                  type: number
                  minimum: 1
                  maximum: 365
                  default: 7
                sortBy:
                  type: string
                  enum:
                    - createdAt
                    - lastEmailAt
                    - subject
                  default: lastEmailAt
                sortOrder:
                  type: string
                  enum:
                    - asc
                    - desc
                  default: desc
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  threads:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        subject:
                          type: string
                          nullable: true
                        snippet:
                          type: string
                          nullable: true
                        lastEmailAt:
                          type: string
                          nullable: true
                        participantEmails:
                          type: array
                          items:
                            type: string
                        emailCount:
                          type: number
                      required:
                        - id
                        - createdAt
                        - updatedAt
                        - subject
                        - snippet
                        - lastEmailAt
                        - participantEmails
                        - emailCount
                  pagination:
                    type: object
                    properties:
                      total:
                        type: number
                      limit:
                        type: number
                      offset:
                        type: number
                      hasMore:
                        type: boolean
                    required:
                      - total
                      - limit
                      - offset
                      - hasMore
                required:
                  - threads
                  - pagination
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import AIInbx from 'aiinbx';

            const client = new AIInbx({
              apiKey: process.env['AI_INBX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.threads.search();

            console.log(response.pagination);
        - lang: Python
          source: |-
            import os
            from aiinbx import AIInbx

            client = AIInbx(
                api_key=os.environ.get("AI_INBX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.threads.search()
            print(response.pagination)
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API Key authentication using Bearer token

````